package com.loafle.overflow.noauthagent.dao;

import com.loafle.overflow.noauthagent.model.NoAuthAgent;
import com.loafle.overflow.noauthagent.type.AuthType;
import org.junit.Before;
import org.junit.Ignore;
import org.junit.Test;

import java.util.Date;

import static org.junit.Assert.*;

/**
 * Created by root on 17. 6. 4.
 */
public class JPANoAuthAgentDAOTest {

    private JPANoAuthAgentDAO jpaNoAuthAgentDAO = null;

    @Before
    public void Before() {
        this.jpaNoAuthAgentDAO = new JPANoAuthAgentDAO();
    }

    @Test
    public void findByTempKey() throws Exception {

        NoAuthAgent noAuthAgent = new NoAuthAgent();
        noAuthAgent.setTempKey("3398473-90847903874");

        NoAuthAgent aa = this.jpaNoAuthAgentDAO.findByTempKey(noAuthAgent);

        System.out.println(aa.getAuthStatus());

    }

    @Test
    public void findAllByNoAuth() throws Exception {
    }


    @Test
    public void createNoAuthAgent() {
        NoAuthAgent noAuthAgent = new NoAuthAgent();


        noAuthAgent.setApiKey("aaaaaaa");
        noAuthAgent.setDate(new Date());
        noAuthAgent.setHostName("Snoop pc");
        noAuthAgent.setLocalIP(4123);
        noAuthAgent.setTempKey("3398473-90847903874");
        noAuthAgent.setAuthStatus(AuthType.WAIT);

        this.jpaNoAuthAgentDAO.create(noAuthAgent);
    }




}